=== 3rd_party/CMakeLists.txt ===
add_subdirectory(syncevolution-qt)
