=== authenticator/CMakeLists.txt ===
project(lomiri-sync-monitor-helper)

set(LOMIRI_SYNC_MONITOR_HELPER_BIN lomiri-sync-monitor-helper)

QT5_ADD_RESOURCES(LOMIRI_SYNC_MONITOR_HELPER_RC
    lomiri-sync-monitor-helper.qrc
)

include_directories(
    ${CMAKE_BINARY_DIR}
)

add_executable(${LOMIRI_SYNC_MONITOR_HELPER_BIN}
    main.cpp
    ${LOMIRI_SYNC_MONITOR_HELPER_RC}
)

qt5_use_modules(${LOMIRI_SYNC_MONITOR_HELPER_BIN} Core DBus Gui Quick)

set(LOMIRI_SYNC_MONITOR_HELPER_QMLS
    main.qml
)

set(LOMIRI_SYNC_MONITOR_HELPER_INSTALL_PATH
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/lomiri-sync-monitor/
)

install(FILES "lomirisyncmonitorhelper.url-dispatcher"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
)

configure_file(lomirisyncmonitorhelper.desktop.in lomirisyncmonitorhelper.desktop)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/lomirisyncmonitorhelper.desktop"
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

install(TARGETS ${LOMIRI_SYNC_MONITOR_HELPER_BIN}
        RUNTIME DESTINATION ${LOMIRI_SYNC_MONITOR_HELPER_INSTALL_PATH})

# make the files visible on qtcreator
add_custom_target(lomiri_sync_monitor_helper_QMlFiles ALL SOURCES ${LOMIRI_SYNC_MONITOR_HELPER_QMLS})
