=== systemd/CMakeLists.txt ===
pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)

configure_file(lomiri-sync-monitor.service.in ${CMAKE_CURRENT_BINARY_DIR}/lomiri-sync-monitor.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lomiri-sync-monitor.service
        DESTINATION ${SYSTEMD_USER_UNIT_DIR}
)
