=== accounts/desktop/CMakeLists.txt ===
get_filename_component(DESKTOP_FILE_NAME ${DESKTOP_FILE} NAME)

add_custom_target(${DESKTOP_FILE_NAME} ALL
  COMMENT "Merging translations into ${DESKTOP_FILE_NAME}"
  COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
          --desktop
          --template=${CMAKE_CURRENT_SOURCE_DIR}/${DESKTOP_FILE_NAME}.in
          -o ${DESKTOP_FILE_NAME}
          -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE_NAME}
        DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications
)
