=== debian/changelog ===
lomiri-sync-monitor (0.6.0-4) unstable; urgency=medium

  * debian/control:
    + Update B-D: on libsignon-qt5-dev and let it depend on version
      8.61+git20231015.c8ad982-7~. (Closes: #1086780).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2024 23:16:25 +0100

lomiri-sync-monitor (0.6.0-3) unstable; urgency=medium

  * Re-upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Aug 2024 07:47:14 +0200

lomiri-sync-monitor (0.6.0-2) unstable; urgency=medium

  * debian/control:
    + Adjust LONG_DESCRIPTIONs. Lomiri's sync-monitor is only responsible for
      calendar syncs, not address book syncs.
    + Drop from D (lomiri-sync-monitor): lomiri-address-book-service.
  * debian/patches:
    + Add 1004_drop-abook-service-dependency.patch. Become independent from
      lomiri-address-book-service (which won't be packaged for Debian as
      deprecated upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Aug 2024 12:09:03 +0200

lomiri-sync-monitor (0.6.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1078817).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 17 Aug 2024 08:06:03 +0200
