=== debian/control ===
Source: lomiri-sync-monitor
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               googletest | google-mock,
               libgmock-dev,
               libaccounts-qt5-dev,
               libnotify-dev,
               liblomiri-url-dispatcher-dev,
               libsignon-qt5-dev (>= 8.61+git20231015.c8ad982-7~),
               pkgconf,
               qtbase5-dev,
               qtdeclarative5-dev,
               qml-module-lomiri-components,
               qml-module-lomiri-onlineaccounts,
               qtpim5-dev (>= 5.0~git20171109~0bd985b),
               liblomiri-connectivity-qt1-dev (>= 1.0.2-7~),
               liblomiri-online-accounts-plugin-dev,
               systemd-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-sync-monitor
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-sync-monitor.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-sync-monitor

Package: lomiri-sync-monitor
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         syncevolution-dbus (>= 1.4),
         lomiri-sync-monitor-helper (>= ${binary:Version}),
         libqt5contact5-plugin-sqlite,
         qtorganizer5-eds,
Suggests: lomiri-account-plugin-google,
          syncevolution-provider-loa (>= 1.4),
Description: Lomiri online account sync monitor plugin
 Lomiri's sync-monitor manages data synchronization of calendars
 .
 With this service you can keep track of Lomiri online accounts and sync
 with the cloud.

Package: lomiri-sync-monitor-loa
Architecture: all
Depends: ${misc:Depends},
         lomiri-sync-monitor (>= ${binary:Version}),
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts-plugin,
         qml-module-sso-onlineaccounts,
Description: Lomiri online account sync monitor plugin - service files
 Lomiri's sync-monitor manages data synchronization of calendars
 .
 This package contains the Lomiri online accounts service files.

Package: qml-module-lomiri-syncmonitor
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri online account sync monitor plugin - QML bindings
 Lomiri's sync-monitor manages data synchronization of calendars
 .
 This package contains the QML plugin providing the features from the sync
 monitor to applications.

Package: lomiri-sync-monitor-helper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
Description: Lomiri online account sync monitor plugin - Helper and service files
 Lomiri's sync-monitor manages data synchronization of calendars
 .
 This package contains the Lomiri online accounts service files and helper to
 re-authenticate online accounts.
